clear

use "Nids data\Nids data\Adult_W5_Anon_V1.0.0.dta" 


merge 1:1 _n using "Nids data\Nids data\Child_W5_Anon_V1.0.0.dta"

drop _merge

merge 1:1 _n using "Nids data\Nids data\hhderived_W5_Anon_V1.0.0.dta"

drop _merge

merge 1:1 _n using "Nids data\Nids data\Link_File_W5_Anon_V1.0.0.dta"

svyset, clear
svyset cluster [pw=w5_wgt], strata(w5_dc2001)

numlabel, add


*Creating orphans and non orphans from those who indicated biological parent to be alive or deceased.
ta w5_c_mthali [iw=w5_dwgt]
ta w5_c_mthdth_bf [iw=w5_dwgt]
ta w5_c_fthali [iw=w5_dwgt]
ta w5_c_fthdth_bf [iw=w5_dwgt]
gen Double_OrphasA=.
replace Double_OrphasA=1 if w5_c_mthali==2
replace Double_OrphasA=1 if w5_c_mthdth_bf==1
replace Double_OrphasA=1 if w5_c_fthali==2 
replace Double_OrphasA=1 if w5_c_fthdth_bf==1
ta Double_OrphasA [iw=w5_dwgt]

*Generating age of double orphans unde 18
ta w5_c_intrv_y
ta w5_c_dob_y

gen year= w5_c_dob_y if w5_c_dob_y <=2017
ta year
gen Age = w5_c_intrv_y - year 
ta Age 
recode Age (0/17=1), gen (Control_AgeO)
gen Double_Orphans_Children=Double_OrphasA if Control_AgeO==1
ta Double_Orphans_Children


* Generating Primary grandparent caregivers
ta w5_c_carerel
gen Primary_Caregiver=.
replace Primary_Caregiver=1 if w5_c_carerel==14
replace Primary_Caregiver=1 if w5_c_carerel==21
ta Primary_Caregiver

*Generating primary grandparent caregivers of double orphans
* Caregiver characteristics
ta w5_a_dob_y
gen Yyear=w5_a_dob_y if w5_a_dob_y <=2003
ta Yyear
gen GaregiverAge = w5_a_intrv_y - Yyear
ta GaregiverAge
gen AAge_of_Caregiver=GaregiverAge if Primary_Caregiver==1
ta AAge_of_Caregiver
gen Age_of_Caregiver=AAge_of_Caregiver if AAge_of_Caregiver>=25
ta Age_of_Caregiver [iw=w5_dwgt]
recode Age_of_Caregiver (25/34=1 "25-34") (35/44 = 2 "35-44") (45/54 = 3 "45-54") ///
(55/64 = 4 "55-64") (65/110 = 5 "65+"), gen (Grouped_Age_of_Caregiver)
ta Grouped_Age_of_Caregiver [iw=w5_dwgt]
recode Grouped_Age_of_Caregiver (1/5=1), gen (ControlGranAge)
ta ControlGranAge
ta Primary_Caregiver Double_OrphasA
gen Grandfamily=.
replace Grandfamily=1 if Primary_Caregiver==1 & Double_OrphasA==1 & ControlGranAge==1
ta Grandfamily
ta Grandfamily [iw=w5_dwgt]


ta Grouped_Age_of_Caregiver
ta w5_a_gen 
ta w5_a_popgrp
gen Popgroup=.
replace Popgroup=1 if w5_a_popgrp==1
replace Popgroup=2 if w5_a_popgrp==2
replace Popgroup=2 if w5_a_popgrp==3
replace Popgroup=2 if w5_a_popgrp==4
ta Popgroup
ta w5_a_evmar
gen Marr=.
replace Marr=1 if w5_a_evmar==1
replace Marr=2 if w5_a_evmar==2
ta Marr 
ta w5_a_edschgrd
gen HightEdu_A=.
replace HightEdu_A=1 if w5_a_edschgrd==25 
replace HightEdu_A=2 if w5_a_edschgrd==0
replace HightEdu_A=2 if w5_a_edschgrd==1
replace HightEdu_A=2 if w5_a_edschgrd==2
replace HightEdu_A=2 if w5_a_edschgrd==3
replace HightEdu_A=2 if w5_a_edschgrd==4
replace HightEdu_A=2 if w5_a_edschgrd==5
replace HightEdu_A=2 if w5_a_edschgrd==6
replace HightEdu_A=2 if w5_a_edschgrd==7
replace HightEdu_A=3 if w5_a_edschgrd==8
replace HightEdu_A=3 if w5_a_edschgrd==9
replace HightEdu_A=3 if w5_a_edschgrd==10
replace HightEdu_A=3 if w5_a_edschgrd==11
replace HightEdu_A=3 if w5_a_edschgrd==12
replace HightEdu_A=4 if w5_a_edschgrd==27
replace HightEdu_A=4 if w5_a_edschgrd==28
replace HightEdu_A=4 if w5_a_edschgrd==29
replace HightEdu_A=4 if w5_a_edschgrd==30
replace HightEdu_A=4 if w5_a_edschgrd==31
replace HightEdu_A=4 if w5_a_edschgrd==32
replace HightEdu_A=4 if w5_a_edter==1
ta HightEdu_A
ta w5_a_edter
gen Hightedu_B=.
ta w5_a_em1 
ta w5_a_fwbrelinc
gen Inco_Class=.
replace Inco_Class=1 if w5_a_fwbrelinc==5
replace Inco_Class=1 if w5_a_fwbrelinc==4
replace Inco_Class=2 if w5_a_fwbrelinc==3
replace Inco_Class=3 if w5_a_fwbrelinc==2
replace Inco_Class=3 if w5_a_fwbrelinc==1
ta Inco_Class
ta w5_a_em1 [iw=w5_dwgt]
ta w5_a_incgovpen
gen RSApension=.
replace RSApension=1 if w5_a_incgovpen==1
replace RSApension=2 if w5_a_incgovpen==2
ta RSApension
ta w5_a_em1
gen employme_stat=.
replace employme_stat=1 if w5_a_em1==1
replace employme_stat=2 if w5_a_em1==2
ta employme_stat
ta w5_a_emodep
gen Depresse=w5_a_emodep if w5_a_emodep>=1
recode Depresse (1=1 "No") (2/4=2 "Yes"), gen (Depres)
ta Depres
ta w5_a_hldes 
gen PercHealth=.
replace PercHealth=1 if w5_a_hldes==1
replace PercHealth=1 if w5_a_hldes==2
replace PercHealth=2 if w5_a_hldes==3
replace PercHealth=3 if w5_a_hldes==4
replace PercHealth=3 if w5_a_hldes==5
ta PercHealth
ta w5_a_hlcon
gen Condulta=.
replace Condulta=1 if w5_a_hlcon==8
replace Condulta=2 if w5_a_hlcon==1
replace Condulta=2 if w5_a_hlcon==2
replace Condulta=2 if w5_a_hlcon==3
replace Condulta=3 if w5_a_hlcon==4
replace Condulta=3 if w5_a_hlcon==5
replace Condulta=3 if w5_a_hlcon==6
replace Condulta=3 if w5_a_hlcon==7
ta Condulta
ta w5_a_hlmedaid
gen MedAid=.
replace MedAid=1 if w5_a_hlmedaid==1
replace MedAid=2 if w5_a_hlmedaid==2
ta w5_geo2011 
gen Geotyp=.
replace Geotyp=1 if w5_geo2011==1
replace Geotyp=1 if w5_geo2011==3
replace Geotyp=2 if w5_geo2011==2
ta w5_prov2011
gen Prov=.
replace Prov=1 if w5_prov2011==1
replace Prov=2 if w5_prov2011==2
replace Prov=3 if w5_prov2011==3
replace Prov=4 if w5_prov2011==4
replace Prov=5 if w5_prov2011==5
replace Prov=6 if w5_prov2011==6
replace Prov=7 if w5_prov2011==7
replace Prov=8 if w5_prov2011==8
replace Prov=9 if w5_prov2011==9
ta Prov


*************Outcome*********************
*Outcome (Health challenges)
ta w5_a_hl30fev [iw=w5_dwgt]
ta w5_a_hl30pc [iw=w5_dwgt]
ta w5_a_hl30cb [iw=w5_dwgt]
ta w5_a_hl30cp [iw=w5_dwgt]
ta w5_a_hl30b [iw=w5_dwgt]
ta w5_a_hl30h [iw=w5_dwgt]
ta w5_a_hl30ba [iw=w5_dwgt]
ta w5_a_hl30jp [iw=w5_dwgt]
ta w5_a_hl30d [iw=w5_dwgt]
ta w5_a_hl30pu [iw=w5_dwgt]
ta w5_a_hl30sa [iw=w5_dwgt]
ta w5_a_hl30wl [iw=w5_dwgt]

gen Health_Challenge=.
replace Health_Challenge=0 if w5_a_hl30fev==2
replace Health_Challenge=0 if w5_a_hl30pc==2
replace Health_Challenge=0 if w5_a_hl30cb==2
replace Health_Challenge=0 if w5_a_hl30cp==2
replace Health_Challenge=0 if w5_a_hl30b==2
replace Health_Challenge=0 if w5_a_hl30h==2
replace Health_Challenge=0 if w5_a_hl30ba==2
replace Health_Challenge=0 if w5_a_hl30jp==2
replace Health_Challenge=0 if w5_a_hl30d==2
replace Health_Challenge=0 if w5_a_hl30pu==2
replace Health_Challenge=0 if w5_a_hl30sa==2
replace Health_Challenge=0 if w5_a_hl30wl==2

replace Health_Challenge=1 if w5_a_hl30fev==1
replace Health_Challenge=1 if w5_a_hl30pc==1
replace Health_Challenge=1 if w5_a_hl30cb==1
replace Health_Challenge=1 if w5_a_hl30cp==1
replace Health_Challenge=1 if w5_a_hl30b==1
replace Health_Challenge=1 if w5_a_hl30h==1
replace Health_Challenge=1 if w5_a_hl30ba==1
replace Health_Challenge=1 if w5_a_hl30jp==1
replace Health_Challenge=1 if w5_a_hl30d==1
replace Health_Challenge=1 if w5_a_hl30pu==1
replace Health_Challenge=1 if w5_a_hl30sa==1
replace Health_Challenge=1 if w5_a_hl30wl==1
ta Health_Challenge
ta Health_Challenge [iw=w5_dwgt]


******************************************

*Stratifying by sex of the child
ta w5_c_gen
gen sexofchil=.
replace sexofchil=1 if w5_c_gen==1
replace sexofchil=2 if w5_c_gen==2
ta sexofchil
gen SexOfTheChild=sexofchil if Grandfamily==1
ta SexOfTheChild [iw=w5_dwgt]

***********************

gen HealthOutcome=Health_Challenge if Grandfamily==1
gen AAge=Grouped_Age_of_Caregiver if Grandfamily==1
gen Sex=w5_a_gen if Grandfamily==1
gen Population=Popgroup if Grandfamily==1
gen Education=HightEdu_A if Grandfamily==1
gen salary = Inco_Class if Grandfamily==1
gen pansion= RSApension if Grandfamily==1
gen Employment=employme_stat if Grandfamily==1
gen Depression=Depres if Grandfamily==1
gen Perhealthstat=PercHealth if Grandfamily==1
gen Consultation=Condulta if Grandfamily==1
gen MedicalAid=MedAid if Grandfamily==1
gen Geotype=Geotyp if Grandfamily==1
gen Province=Prov if Grandfamily==1
gen District=Distrct if Grandfamily==1
gen singleAge = Age_of_Caregiver if Grandfamily==1

drop if Perhealthstat==.
drop if Consultation==.
drop if MedicalAid==.
drop if Depression==.


ta singleAge [iw=w5_dwgt]
ta singleAge HealthOutcome [iw=w5_dwgt]
ta singleAge Sex [iw=w5_dwgt]
ta singleAge Province [iw=w5_dwgt]

ta HealthOutcome  [iw=w5_dwgt]
ta AAge  [iw=w5_dwgt]
ta Sex  [iw=w5_dwgt]
ta Population  [iw=w5_dwgt]
ta Education  [iw=w5_dwgt]
ta salary  [iw=w5_dwgt]
ta pansion  [iw=w5_dwgt]
ta Employment [iw=w5_dwgt]
ta Depression  [iw=w5_dwgt]
ta Perhealthstat  [iw=w5_dwgt]
ta Consultation  [iw=w5_dwgt]
ta MedicalAid  [iw=w5_dwgt]
ta Geotype  [iw=w5_dwgt]
ta Province  [iw=w5_dwgt]
ta District [iw=w5_dwgt]


ta HealthOutcome SexOfTheChild [iw=w5_dwgt]
ta AAge SexOfTheChild [iw=w5_dwgt]
ta Sex SexOfTheChild [iw=w5_dwgt]
ta Population SexOfTheChild [iw=w5_dwgt]
ta Education SexOfTheChild [iw=w5_dwgt]
ta salary SexOfTheChild [iw=w5_dwgt]
ta pansion SexOfTheChild [iw=w5_dwgt]
ta Employment SexOfTheChild [iw=w5_dwgt]
ta Depression SexOfTheChild [iw=w5_dwgt]
ta Perhealthstat SexOfTheChild [iw=w5_dwgt]
ta Consultation SexOfTheChild [iw=w5_dwgt]
ta MedicalAid SexOfTheChild [iw=w5_dwgt]
ta Geotype SexOfTheChild [iw=w5_dwgt]
ta Province SexOfTheChild [iw=w5_dwgt]


table AAge HealthOutcome SexOfTheChild [iw=w5_dwgt]
table Sex HealthOutcome SexOfTheChild [iw=w5_dwgt]
table Population HealthOutcome SexOfTheChild [iw=w5_dwgt]
table Education HealthOutcome SexOfTheChild [iw=w5_dwgt]
table salary HealthOutcome SexOfTheChild [iw=w5_dwgt]
table pansion HealthOutcome SexOfTheChild [iw=w5_dwgt]
table Employment HealthOutcome SexOfTheChild [iw=w5_dwgt]
table Depression HealthOutcome SexOfTheChild [iw=w5_dwgt]
table Perhealthstat HealthOutcome SexOfTheChild [iw=w5_dwgt]
table Consultation HealthOutcome SexOfTheChild [iw=w5_dwgt]
table MedicalAid HealthOutcome SexOfTheChild [iw=w5_dwgt]
table Geotype HealthOutcome SexOfTheChild [iw=w5_dwgt]
table Province HealthOutcome SexOfTheChild [iw=w5_dwgt]


tabulate AAge HealthOutcome if SexOfTheChild==1, chi
tabulate Sex HealthOutcome if SexOfTheChild==1, chi
tabulate Population HealthOutcome if SexOfTheChild==1, chi
tabulate Education HealthOutcome if SexOfTheChild==1, chi
tabulate salary HealthOutcome if SexOfTheChild==1, chi
tabulate pansion HealthOutcome if SexOfTheChild==1, chi
tabulate Employment HealthOutcome if SexOfTheChild==1, chi
tabulate Depression HealthOutcome if SexOfTheChild==1, chi
tabulate Perhealthstat HealthOutcome if SexOfTheChild==1, chi
tabulate Consultation HealthOutcome if SexOfTheChild==1, chi
tabulate MedicalAid HealthOutcome if SexOfTheChild==1, chi
tabulate Geotype HealthOutcome if SexOfTheChild==1, chi
tabulate Province HealthOutcome if SexOfTheChild==1, chi


tabulate AAge HealthOutcome if SexOfTheChild==2, chi
tabulate Sex HealthOutcome if SexOfTheChild==2, chi
tabulate Population HealthOutcome if SexOfTheChild==2, chi
tabulate Education HealthOutcome if SexOfTheChild==2, chi
tabulate salary HealthOutcome if SexOfTheChild==2, chi
tabulate pansion HealthOutcome if SexOfTheChild==2, chi
tabulate Employment HealthOutcome if SexOfTheChild==2, chi
tabulate Depression HealthOutcome if SexOfTheChild==2, chi
tabulate Perhealthstat HealthOutcome if SexOfTheChild==2, chi
tabulate Consultation HealthOutcome if SexOfTheChild==2, chi
tabulate MedicalAid HealthOutcome if SexOfTheChild==2, chi
tabulate Geotype HealthOutcome if SexOfTheChild==2, chi
tabulate Province HealthOutcome if SexOfTheChild==2, chi


tabulate AAge HealthOutcome, chi
tabulate Sex HealthOutcome, chi
tabulate Population HealthOutcome, chi
tabulate Education HealthOutcome, chi
tabulate salary HealthOutcome, chi
tabulate pansion HealthOutcome, chi
tabulate Employment HealthOutcome, chi
tabulate Depression HealthOutcome, chi
tabulate Perhealthstat HealthOutcome, chi
tabulate Consultation HealthOutcome, chi
tabulate MedicalAid HealthOutcome, chi
tabulate Geotype HealthOutcome, chi
tabulate Province HealthOutcome, chi


logit HealthOutcome i.AAge if SexOfTheChild==1, or
logit HealthOutcome i.Sex if SexOfTheChild==1, or
logit HealthOutcome i.Population if SexOfTheChild==1, or
logit HealthOutcome i.Education if SexOfTheChild==1, or
logit HealthOutcome i.salary if SexOfTheChild==1, or
logit HealthOutcome i.pansion if SexOfTheChild==1, or
logit HealthOutcome i.Employment if SexOfTheChild==1, or
logit HealthOutcome i.Depression if SexOfTheChild==1, or
logit HealthOutcome i.Perhealthstat if SexOfTheChild==1, or
logit HealthOutcome i.Consultation if SexOfTheChild==1, or
logit HealthOutcome i.MedicalAid if SexOfTheChild==1, or
logit HealthOutcome i.Geotype if SexOfTheChild==1, or
logit HealthOutcome i.Province if SexOfTheChild==1, or

logit HealthOutcome i.AAge if SexOfTheChild==2, or
logit HealthOutcome i.Sex if SexOfTheChild==2, or
logit HealthOutcome i.Population if SexOfTheChild==2, or
logit HealthOutcome i.Education if SexOfTheChild==2, or
logit HealthOutcome i.salary if SexOfTheChild==2, or
logit HealthOutcome i.pansion if SexOfTheChild==2, or
logit HealthOutcome i.Employment if SexOfTheChild==2, or
logit HealthOutcome i.Depression if SexOfTheChild==2, or
logit HealthOutcome i.Perhealthstat if SexOfTheChild==2, or
logit HealthOutcome i.Consultation if SexOfTheChild==2, or
logit HealthOutcome i.MedicalAid if SexOfTheChild==2, or
logit HealthOutcome i.Geotype if SexOfTheChild==2, or
logit HealthOutcome i.Province if SexOfTheChild==2, or

logit HealthOutcome i.AAge, or
logit HealthOutcome i.Sex, or
logit HealthOutcome i.Population, or
logit HealthOutcome i.Education, or
logit HealthOutcome i.salary, or
logit HealthOutcome i.pansion, or
logit HealthOutcome i.Employment, or
logit HealthOutcome i.Depression, or
logit HealthOutcome i.Perhealthstat, or
logit HealthOutcome i.Consultation, or
logit HealthOutcome i.MedicalAid, or
logit HealthOutcome i.Geotype, or
logit HealthOutcome i.Province, or


regress HealthOutcome i.AAge i.Sex i.Population i.Education i.salary pansion i.Employment i.Depression i.Perhealthstat i.Consultation i.MedicalAid i.Geotype i.Province if SexOfTheChild==1
vif
regress HealthOutcome i.AAge i.Sex i.Population i.Education i.salary pansion i.Employment i.Depression i.Perhealthstat i.Consultation i.MedicalAid i.Geotype i.Province if SexOfTheChild==2
vif
regress HealthOutcome i.AAge i.Sex i.Population i.Education i.salary pansion i.Employment i.Depression i.Perhealthstat i.Consultation i.MedicalAid i.Geotype i.Province
vif

*Regression
logit HealthOutcome i.AAge i.Sex i.Population i.Education i.salary i.pansion i.Employment i.Depression i.Perhealthstat i.Consultation i.MedicalAid i.Geotype i.Province if SexOfTheChild==1, or
logit HealthOutcome i.AAge i.Sex i.Population i.Education i.salary i.pansion i.Employment i.Depression i.Perhealthstat i.Consultation i.MedicalAid i.Geotype i.Province if SexOfTheChild==2, or
logit HealthOutcome i.AAge i.Sex i.Population i.Education i.salary i.pansion i.Employment i.Depression i.Perhealthstat i.Consultation i.MedicalAid i.Geotype i.Province, or

































